ApiTimeSeriesData (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger.model

## Class ApiTimeSeriesData

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiTimeSeriesData

-     @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2022-11-17T16:22:50.425Z")
      public class ApiTimeSeriesData
      extends Object

  A single data point of time series data.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiTimeSeriesData()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiTimeSeriesData` | `aggregateStatistics(ApiTimeSeriesAggregateStatistics aggregateStatistics)`
    `boolean` | `equals(Object o)`
    `ApiTimeSeriesAggregateStatistics` | `getAggregateStatistics()` Available from v6 for data points containing aggregate data.
    `String` | `getTimestamp()` The timestamp for this time series data point.
    `String` | `getType()` The type of the time series data.
    `BigDecimal` | `getValue()` The value of the time series data.
    `int` | `hashCode()`
    `void` | `setAggregateStatistics(ApiTimeSeriesAggregateStatistics aggregateStatistics)`
    `void` | `setTimestamp(String timestamp)`
    `void` | `setType(String type)`
    `void` | `setValue(BigDecimal value)`
    `ApiTimeSeriesData` | `timestamp(String timestamp)`
    `String` | `toString()`
    `ApiTimeSeriesData` | `type(String type)`
    `ApiTimeSeriesData` | `value(BigDecimal value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiTimeSeriesData

          public ApiTimeSeriesData()

  - ### Method Detail

    - #### timestamp

          public ApiTimeSeriesData timestamp(String timestamp)

    - #### getTimestamp

          public String getTimestamp()

      The timestamp for this time series data point. Note that the timestamp reflects coordinated universal time (UTC) and not necessarily the server's time zone. The rest API formats the UTC timestamp as an ISO-8061 string.
      Returns:
        timestamp

    - #### setTimestamp

          public void setTimestamp(String timestamp)

    - #### value

          public ApiTimeSeriesData value(BigDecimal value)

    - #### getValue

          public BigDecimal getValue()

      The value of the time series data.
      Returns:
        value

    - #### setValue

          public void setValue(BigDecimal value)

    - #### type

          public ApiTimeSeriesData type(String type)

    - #### getType

          public String getType()

      The type of the time series data.
      Returns:
        type

    - #### setType

          public void setType(String type)

    - #### aggregateStatistics

          public ApiTimeSeriesData aggregateStatistics(ApiTimeSeriesAggregateStatistics aggregateStatistics)

    - #### getAggregateStatistics

          public ApiTimeSeriesAggregateStatistics getAggregateStatistics()

      Available from v6 for data points containing aggregate data. It includes further statistics about the data point. An aggregate can be across entities (e.g., fd_open_across_datanodes), over time (e.g., a daily point for the fd_open metric for a specific DataNode), or both (e.g., a daily point for the fd_open_across_datanodes metric). If the data point is for non-aggregate date this will return null.
      Returns:
        aggregateStatistics

    - #### setAggregateStatistics

          public void setAggregateStatistics(ApiTimeSeriesAggregateStatistics aggregateStatistics)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2022. All rights reserved.